#ifndef __SKED_H
#define __SKED_H

#include <vdr/plugin.h>

static const char *VERSION        = "0.0.4";
static const char *DESCRIPTION    = "Sofcam Key EDitor";
static const char *MAINMENUENTRY  = "Sked";

// --- cPluginSked -------------------------------------------------------------

class cPluginSked : public cPlugin {
private:
public:
  cPluginSked(void);
  virtual ~cPluginSked();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return DESCRIPTION; }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Start(void);
  virtual const char *MainMenuEntry(void) { return MAINMENUENTRY; }
  virtual cOsdObject *MainMenuAction(void);
};

#endif //__SKED_H
